Help required in running icucumber for CS examples

Hello All,

After installing Iron ruby1.0 and cucumber-0.6.4 everything worked fine
till compile.bat was executed.

But when I executed icucumber features for cs examples I am getting the
below error.

I googled several times but could not solve the problem,

Any Help would be highly Appreciated as I am stuck now

C:\ironruby\lib\ironruby\gems\1.8\gems\cucumber-0.6.4\examples\cs>compile

C:\ironruby\lib\ironruby\gems\1.8\gems\cucumber-0.6.4\examples\cs>csc
/target:li
brary /out:Calculator.dll src\demo\Calculator.cs
Microsoft ® Visual C# 2008 Compiler version 3.5.30729.1
for Microsoft ® .NET Framework version 3.5
Copyright © Microsoft Corporation. All rights reserved.

C:\ironruby\lib\ironruby\gems\1.8\gems\cucumber-0.6.4\examples\cs>icucumber
feat
ures
*** WARNING: You must “igem install iron-term-ansicolor” to get coloured
ouput i
n on IronRuby
no such file to load – spec/expectations (LoadError)
C:/IronRuby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:30:in
require' C:/IronRuby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:30:inrequire’
C:/IronRuby/lib/ironruby/gems/1.8/gems/polyglot-0.3.1/lib/polyglot.rb:63:in
req uire' C:/ironruby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/examples/cs/features/step_ definitons/calculator_steps.rb:1 C:/IronRuby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:30:inrequire’
C:/IronRuby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:30:in
require' C:/IronRuby/lib/ironruby/gems/1.8/gems/polyglot-0.3.1/lib/polyglot.rb:63:inreq
uire’
C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/…/lib/cucumber/rb_sup
port/rb_language.rb:124:in load_code_file' C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/../lib/cucumber/step_m other.rb:85:inload_code_file’
C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/…/lib/cucumber/step_m
other.rb:77:in load_code_files' C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/../lib/cucumber/step_m other.rb:76:ineach’
C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/…/lib/cucumber/step_m
other.rb:76:in load_code_files' C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/../lib/cucumber/cli/ma in.rb:51:inexecute!’
C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/…/lib/cucumber/cli/ma
in.rb:20:in execute' C:/IronRuby/lib/ironruby/gems/1.8/gems/cucumber-0.6.4/bin/cucumber:8 C:/Ruby19/bin/cucumber:19:inload’
C:/Ruby19/bin/cucumber:19

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs